Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase
Class AbstractSolverPhaseScope

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhaseScope

Direct Known Subclasses:
  BruteForceSolverPhaseScope, CustomSolverPhaseScope, GreedyFitSolverPhaseScope, LocalSearchSolverPhaseScope

    public abstract class AbstractSolverPhaseScope

extends Object

Field Summary
`protected int` | `bestSolutionStepIndex`
`protected org.slf4j.Logger` | `logger`
`protected DefaultSolverScope` | `solverScope`
`protected Score` | `startingScore`
`protected long` | `startingSystemTimeMillis`

Constructor Summary
`AbstractSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`void` | `assertWorkingScore(Score workingScore)`
`long` | `calculatePhaseTimeMillisSpend()`
`Score` | `calculateScore()`
`long` | `calculateSolverTimeMillisSpend()`
`Score` | `getBestScore()`
`int` | `getBestSolutionStepIndex()`
`abstract AbstractStepScope` | `getLastCompletedStepScope()`
`ScoreDefinition` | `getScoreDefinition()`
`ScoreDirector` | `getScoreDirector()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`DefaultSolverScope` | `getSolverScope()`
`Score` | `getStartingScore()`
`long` | `getStartingSystemTimeMillis()`
`List<Object>` | `getWorkingPlanningEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`boolean` | `isWorkingSolutionInitialized()`
`void` | `reset()`
`void` | `setBestSolutionStepIndex(int bestSolutionStepIndex)`
`void` | `setStartingScore(Score startingScore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solverScope

    protected DefaultSolverScope solverScope

### startingSystemTimeMillis

    protected long startingSystemTimeMillis

### startingScore

    protected Score startingScore

### bestSolutionStepIndex

    protected int bestSolutionStepIndex

Constructor Detail

### AbstractSolverPhaseScope

    public AbstractSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getSolverScope

    public DefaultSolverScope getSolverScope()

### getStartingSystemTimeMillis

    public long getStartingSystemTimeMillis()

### getStartingScore

    public Score getStartingScore()

### setStartingScore

    public void setStartingScore(Score startingScore)

### getBestSolutionStepIndex

    public int getBestSolutionStepIndex()

### setBestSolutionStepIndex

    public void setBestSolutionStepIndex(int bestSolutionStepIndex)

### getLastCompletedStepScope

    public abstract AbstractStepScope getLastCompletedStepScope()

### reset

    public void reset()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### calculateSolverTimeMillisSpend

    public long calculateSolverTimeMillisSpend()

### calculatePhaseTimeMillisSpend

    public long calculatePhaseTimeMillisSpend()

### getScoreDirector

    public ScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingPlanningEntityList

    public List<Object> getWorkingPlanningEntityList()

### isWorkingSolutionInitialized

    public boolean isWorkingSolutionInitialized()

### calculateScore

    public Score calculateScore()

### assertWorkingScore

    public void assertWorkingScore(Score workingScore)

### getWorkingRandom

    public Random getWorkingRandom()

### getBestScore

    public Score getBestScore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.